%global srcname git-credential-manager

Name: git-credential-manager
Version: 2.6.0
Release: 1%{?dist}
License: MIT
Summary: A secure Git credential helper with multi-factor authentication support
Url: https://github.com/git-ecosystem/git-credential-manager
Source0: https://github.com/git-ecosystem/git-credential-manager/archive/refs/tags/v%{version}.tar.gz

BuildRequires: dotnet-sdk-8.0
Requires: dotnet-runtime-8.0

%description
Git Credential Manager is a secure Git credential helper. GCM provides
multi-factor authentication support for Azure DevOps, Azure DevOps Server,
GitHub, Bitbucket, and GitLab.

%global debug_package %{nil}

%global _dotnet_target_arch %{_arch}
%ifarch i386
%global _dotnet_target_arch x86
%endif
%ifarch x86_64
%global _dotnet_target_arch x64
%endif
%ifarch aarch64
%global _dotnet_target_arch arm64
%endif

#-- PREP, BUILD & INSTALL -----------------------------------------------------#
%prep
%autosetup
dotnet restore src/shared/Git-Credential-Manager/ --packages packages --arch %{_dotnet_target_arch}

%build
dotnet publish src/shared/Git-Credential-Manager/ --configuration=Release --framework=net8.0 --no-restore --arch %{_dotnet_target_arch}

%install
mkdir -p %{buildroot}%{_datadir}/gcm-core
cp -r out/shared/Git-Credential-Manager/bin/Release/net8.0/linux-%{_dotnet_target_arch}/. %{buildroot}%{_datadir}/gcm-core
mkdir -p %{buildroot}%{_bindir}
ln -s ../share/gcm-core/git-credential-manager %{buildroot}%{_bindir}/git-credential-manager

#-- FILES ---------------------------------------------------------------------#
%files
%dir %{_datadir}/gcm-core
%{_datadir}/gcm-core/Atlassian.Bitbucket.dll
%{_datadir}/gcm-core/Atlassian.Bitbucket.pdb
%{_datadir}/gcm-core/GitHub.dll
%{_datadir}/gcm-core/GitHub.pdb
%{_datadir}/gcm-core/GitLab.dll
%{_datadir}/gcm-core/GitLab.pdb
%{_datadir}/gcm-core/Microsoft.AzureRepos.dll
%{_datadir}/gcm-core/Microsoft.AzureRepos.pdb
%{_datadir}/gcm-core/Microsoft.Identity.Client.Extensions.Msal.dll
%{_datadir}/gcm-core/Microsoft.Identity.Client.dll
%{_datadir}/gcm-core/NOTICE
%{_datadir}/gcm-core/System.CommandLine.dll
%{_datadir}/gcm-core/System.Security.Cryptography.ProtectedData.dll
%{_datadir}/gcm-core/cs/System.CommandLine.resources.dll
%{_datadir}/gcm-core/de/System.CommandLine.resources.dll
%{_datadir}/gcm-core/es/System.CommandLine.resources.dll
%{_datadir}/gcm-core/fr/System.CommandLine.resources.dll
%{_datadir}/gcm-core/gcmcore.dll
%{_datadir}/gcm-core/gcmcore.pdb
%{_datadir}/gcm-core/git-credential-manager
%{_datadir}/gcm-core/git-credential-manager.deps.json
%{_datadir}/gcm-core/git-credential-manager.dll
%{_datadir}/gcm-core/git-credential-manager.pdb
%{_datadir}/gcm-core/git-credential-manager.runtimeconfig.json
%{_datadir}/gcm-core/it/System.CommandLine.resources.dll
%{_datadir}/gcm-core/ja/System.CommandLine.resources.dll
%{_datadir}/gcm-core/ko/System.CommandLine.resources.dll
%{_datadir}/gcm-core/pl/System.CommandLine.resources.dll
%{_datadir}/gcm-core/pt-BR/System.CommandLine.resources.dll
%{_datadir}/gcm-core/ru/System.CommandLine.resources.dll
%{_datadir}/gcm-core/tr/System.CommandLine.resources.dll
%{_datadir}/gcm-core/zh-Hans/System.CommandLine.resources.dll
%{_datadir}/gcm-core/zh-Hant/System.CommandLine.resources.dll
%{_datadir}/gcm-core/Avalonia.Base.dll
%{_datadir}/gcm-core/Avalonia.Controls.ColorPicker.dll
%{_datadir}/gcm-core/Avalonia.Controls.DataGrid.dll
%{_datadir}/gcm-core/Avalonia.Controls.dll
%{_datadir}/gcm-core/Avalonia.DesignerSupport.dll
%{_datadir}/gcm-core/Avalonia.Desktop.dll
%{_datadir}/gcm-core/Avalonia.Diagnostics.dll
%{_datadir}/gcm-core/Avalonia.Dialogs.dll
%{_datadir}/gcm-core/Avalonia.FreeDesktop.dll
%{_datadir}/gcm-core/Avalonia.Markup.Xaml.dll
%{_datadir}/gcm-core/Avalonia.Markup.dll
%{_datadir}/gcm-core/Avalonia.Metal.dll
%{_datadir}/gcm-core/Avalonia.MicroCom.dll
%{_datadir}/gcm-core/Avalonia.Native.dll
%{_datadir}/gcm-core/Avalonia.OpenGL.dll
%{_datadir}/gcm-core/Avalonia.Remote.Protocol.dll
%{_datadir}/gcm-core/Avalonia.Skia.dll
%{_datadir}/gcm-core/Avalonia.Themes.Fluent.dll
%{_datadir}/gcm-core/Avalonia.Themes.Simple.dll
%{_datadir}/gcm-core/Avalonia.Vulkan.dll
%{_datadir}/gcm-core/Avalonia.Win32.dll
%{_datadir}/gcm-core/Avalonia.X11.dll
%{_datadir}/gcm-core/Avalonia.dll
%{_datadir}/gcm-core/HarfBuzzSharp.dll
%{_datadir}/gcm-core/MicroCom.Runtime.dll
%{_datadir}/gcm-core/Microsoft.IdentityModel.Abstractions.dll
%{_datadir}/gcm-core/SkiaSharp.dll
%{_datadir}/gcm-core/System.IO.Pipelines.dll
%{_datadir}/gcm-core/Tmds.DBus.Protocol.dll
%{_datadir}/gcm-core/libHarfBuzzSharp.so
%{_datadir}/gcm-core/libSkiaSharp.so
%{_datadir}/gcm-core/publish/Atlassian.Bitbucket.dll
%{_datadir}/gcm-core/publish/Atlassian.Bitbucket.pdb
%{_datadir}/gcm-core/publish/Avalonia.Base.dll
%{_datadir}/gcm-core/publish/Avalonia.Controls.ColorPicker.dll
%{_datadir}/gcm-core/publish/Avalonia.Controls.DataGrid.dll
%{_datadir}/gcm-core/publish/Avalonia.Controls.dll
%{_datadir}/gcm-core/publish/Avalonia.DesignerSupport.dll
%{_datadir}/gcm-core/publish/Avalonia.Desktop.dll
%{_datadir}/gcm-core/publish/Avalonia.Diagnostics.dll
%{_datadir}/gcm-core/publish/Avalonia.Dialogs.dll
%{_datadir}/gcm-core/publish/Avalonia.FreeDesktop.dll
%{_datadir}/gcm-core/publish/Avalonia.Markup.Xaml.dll
%{_datadir}/gcm-core/publish/Avalonia.Markup.dll
%{_datadir}/gcm-core/publish/Avalonia.Metal.dll
%{_datadir}/gcm-core/publish/Avalonia.MicroCom.dll
%{_datadir}/gcm-core/publish/Avalonia.Native.dll
%{_datadir}/gcm-core/publish/Avalonia.OpenGL.dll
%{_datadir}/gcm-core/publish/Avalonia.Remote.Protocol.dll
%{_datadir}/gcm-core/publish/Avalonia.Skia.dll
%{_datadir}/gcm-core/publish/Avalonia.Themes.Fluent.dll
%{_datadir}/gcm-core/publish/Avalonia.Themes.Simple.dll
%{_datadir}/gcm-core/publish/Avalonia.Vulkan.dll
%{_datadir}/gcm-core/publish/Avalonia.Win32.dll
%{_datadir}/gcm-core/publish/Avalonia.X11.dll
%{_datadir}/gcm-core/publish/Avalonia.dll
%{_datadir}/gcm-core/publish/GitHub.dll
%{_datadir}/gcm-core/publish/GitHub.pdb
%{_datadir}/gcm-core/publish/GitLab.dll
%{_datadir}/gcm-core/publish/GitLab.pdb
%{_datadir}/gcm-core/publish/HarfBuzzSharp.dll
%{_datadir}/gcm-core/publish/MicroCom.Runtime.dll
%{_datadir}/gcm-core/publish/Microsoft.AzureRepos.dll
%{_datadir}/gcm-core/publish/Microsoft.AzureRepos.pdb
%{_datadir}/gcm-core/publish/Microsoft.Identity.Client.Extensions.Msal.dll
%{_datadir}/gcm-core/publish/Microsoft.Identity.Client.dll
%{_datadir}/gcm-core/publish/Microsoft.IdentityModel.Abstractions.dll
%{_datadir}/gcm-core/publish/NOTICE
%{_datadir}/gcm-core/publish/SkiaSharp.dll
%{_datadir}/gcm-core/publish/System.CommandLine.dll
%{_datadir}/gcm-core/publish/System.IO.Pipelines.dll
%{_datadir}/gcm-core/publish/System.Security.Cryptography.ProtectedData.dll
%{_datadir}/gcm-core/publish/Tmds.DBus.Protocol.dll
%{_datadir}/gcm-core/publish/cs/System.CommandLine.resources.dll
%{_datadir}/gcm-core/publish/de/System.CommandLine.resources.dll
%{_datadir}/gcm-core/publish/es/System.CommandLine.resources.dll
%{_datadir}/gcm-core/publish/fr/System.CommandLine.resources.dll
%{_datadir}/gcm-core/publish/gcmcore.dll
%{_datadir}/gcm-core/publish/gcmcore.pdb
%{_datadir}/gcm-core/publish/git-credential-manager
%{_datadir}/gcm-core/publish/git-credential-manager.deps.json
%{_datadir}/gcm-core/publish/git-credential-manager.dll
%{_datadir}/gcm-core/publish/git-credential-manager.pdb
%{_datadir}/gcm-core/publish/git-credential-manager.runtimeconfig.json
%{_datadir}/gcm-core/publish/it/System.CommandLine.resources.dll
%{_datadir}/gcm-core/publish/ja/System.CommandLine.resources.dll
%{_datadir}/gcm-core/publish/ko/System.CommandLine.resources.dll
%{_datadir}/gcm-core/publish/libHarfBuzzSharp.so
%{_datadir}/gcm-core/publish/libSkiaSharp.so
%{_datadir}/gcm-core/publish/pl/System.CommandLine.resources.dll
%{_datadir}/gcm-core/publish/pt-BR/System.CommandLine.resources.dll
%{_datadir}/gcm-core/publish/ru/System.CommandLine.resources.dll
%{_datadir}/gcm-core/publish/tr/System.CommandLine.resources.dll
%{_datadir}/gcm-core/publish/zh-Hans/System.CommandLine.resources.dll
%{_datadir}/gcm-core/publish/zh-Hant/System.CommandLine.resources.dll
%{_bindir}/git-credential-manager

#-- CHANGELOG -----------------------------------------------------------------#
%changelog
* Sat Nov 09 2024 Victor M <vdanielmo@gmail.com> 2.6.0-1
- Rebuild with donet 8.0

* Wed Aug 03 2022 M Hickford <mirth.hickford@gmail.com> 2.0.785-4
- 

* Wed Aug 03 2022 M Hickford <mirth.hickford@gmail.com> 2.0.785-3
- tito.release.CoprReleaser (mirth.hickford@gmail.com)

* Tue Aug 02 2022 M Hickford <mirth.hickford@gmail.com> 2.0.785-2
- rpm spec (mirth.hickford@gmail.com)

* Sun Jul 31 2022 M Hickford <mirth.hickford@gmail.com>
-
